
.OzCheckbox {
    width: 18px;
    height: 18px;
    min-width: 18px;
    min-height: 18px;
    border: 1px solid #cecece;
    border-radius: 5px;
}

.Checked {
    /*background: rgb(36, 121, 206) !important;*/
    padding-left:2px;
    color:black;
    font-weight:bold;
}

.checkLabel {
    width: 100%;
    height: 100%;
    display: block !important;
    border: 2px solid white;
    border-radius: 5px;
    box-sizing: border-box;
    background: rgb(241, 241, 241);
}

.OzCheckbox > input[type="checkbox"]:disabled + label {
    opacity: 0.5;
}

.fileupload-wrapper {
    background-color: lightgray;
    border-radius: 4px;
    padding: 4px;
    flex-direction: column;
}

    .fileupload-wrapper::after {
    }

    .fileupload-wrapper p {
        margin: 0;
    }

.SwitchButton {
    position: relative;
}

.cmn-toggle {
  position: absolute;
  visibility: hidden;
}

.cmn-toggle + label {
  display: block;
  position: relative;
  cursor: pointer;
  outline: none;
  user-select: none;
}

input.cmn-toggle-round-flat + label {
  padding: 2px;
  height: 16px;
  width: 40px;
  /*background-color: white;*/
  border-radius: 30px;
  transition: background 0.4s;
}

input.cmn-toggle-round-flat:checked + label {
  background-color: transparent !important;
}

input.cmn-toggle-round-flat + label:before,
input.cmn-toggle-round-flat + label:after {
  display: block;
  position: absolute;
  content: "";
}

input.cmn-toggle-round-flat + label:before {
  top: 2px;
  left: 2px;
  bottom: 2px;
  right: 2px;
  border-radius: 60px;
  transition: background 0.4s;

background: rgb(14,14,14); /* Old browsers */
background: -moz-linear-gradient(top,  rgba(14,14,14,1) 1%, rgba(53,53,53,1) 8%, rgba(86,86,86,1) 20%, rgba(130,130,130,1) 36%, rgba(168,168,168,1) 59%, rgba(206,206,206,1) 87%, rgba(214,214,214,1) 98%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(1%,rgba(14,14,14,1)), color-stop(8%,rgba(53,53,53,1)), color-stop(20%,rgba(86,86,86,1)), color-stop(36%,rgba(130,130,130,1)), color-stop(59%,rgba(168,168,168,1)), color-stop(87%,rgba(206,206,206,1)), color-stop(98%,rgba(214,214,214,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(14,14,14,1) 1%,rgba(53,53,53,1) 8%,rgba(86,86,86,1) 20%,rgba(130,130,130,1) 36%,rgba(168,168,168,1) 59%,rgba(206,206,206,1) 87%,rgba(214,214,214,1) 98%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(14,14,14,1) 1%,rgba(53,53,53,1) 8%,rgba(86,86,86,1) 20%,rgba(130,130,130,1) 36%,rgba(168,168,168,1) 59%,rgba(206,206,206,1) 87%,rgba(214,214,214,1) 98%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(14,14,14,1) 1%,rgba(53,53,53,1) 8%,rgba(86,86,86,1) 20%,rgba(130,130,130,1) 36%,rgba(168,168,168,1) 59%,rgba(206,206,206,1) 87%,rgba(214,214,214,1) 98%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(14,14,14,1) 1%,rgba(53,53,53,1) 8%,rgba(86,86,86,1) 20%,rgba(130,130,130,1) 36%,rgba(168,168,168,1) 59%,rgba(206,206,206,1) 87%,rgba(214,214,214,1) 98%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0e0e0e', endColorstr='#d6d6d6',GradientType=0 ); /* IE6-9 */

box-shadow: inset 0 8px 10px -8px grey;

    border: 1px solid rgb(130, 130, 130);
}

 .cmn-toggle-round-flat:checked + label:before {
    background: linear-gradient(to bottom, #299A0B 0%, #2BAF0E 28%, #2FBF0F 54%, #28D611 78%, #28EA12 100%);

    box-shadow: inset 0 8px 10px -8px grey;
    border: 1px solid rgb(130, 130, 130);
    }

input.cmn-toggle-round-flat + label:after {
  /*top: 4px;
  left: 4px;*/
  bottom: 2px;
  width: 16px; /*Kör mérete*/
  height: 16px;
  background-color: white;
  border-radius: 52px;
  transition: margin 0.4s, background 0.4s;
    /*box-shadow: inset 0px 3px 6px 1px rgba(0,0,0,0.5);*/
    border: #898989 1px solid;
    background: linear-gradient(70deg, rgb(170, 170, 170), white);
    box-shadow: 1px 0px 1px 0px rgba(20, 20, 20, 0.7);
}

input.cmn-toggle-round-flat:checked + label:after {
    margin-left: 24px;
    background-color: white;
}

input.cmn-toggle-round-flat:checked + label {
  background-color: white;
}

input.cmn-toggle-round-flat:disabled + label {
  opacity: 0.5;
}
.TextBox {
    max-width: 450px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding-left: 3px;
    padding-right: 3px;
    width:200px;
}
.TextArea {
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding-left: 3px;
    padding-right: 3px;
}
.CheckCombo {
    position: relative;
    cursor: pointer;
    height: 16px;
    width: 35px;
    margin-left: auto;
    margin-right: auto;
    background: transparent;
}

.CheckCombo > .Combo {
    z-index: 1;
    position: absolute;
    background: transparent;
}

.CheckCombo > .Combo select {
    width: 36px;
    height: 16px;
    background: transparent;
    border: 0;
    outline:0;
}

.CheckCombo > .Combo option {
    padding: 5px;
    background: transparent;
}

.CheckCombo > .Check {
    z-index: 2;
    position: absolute;
    background: transparent;
    padding-top: 0;
    padding-left: 3px;
}

.CheckCombo > .Check > input[type='checkbox'] {
    height: 10px;
    width: 10px;
    background: transparent;
}